unit Auto;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Buttons, ExtCtrls, Grids, DBGrids, StdCtrls, ComCtrls, ToolWin,
  ADODB, DB, DBTables;

type
  TFormAuto = class(TForm)
    ToolBar0: TToolBar;
    ProgressBar0: TProgressBar;
    Memo0: TMemo;
    Panel0: TPanel;
    Timer0: TTimer;
    STStart: TStaticText;
    STEnd: TStaticText;
    ListBox0: TListBox;
    procedure FormShow(Sender: TObject);
    procedure ToolBar0Resize(Sender: TObject);
    procedure Timer0Timer(Sender: TObject);
    procedure Panel0Click(Sender: TObject);
  private
    { Private declarations }
    RunFlag: Boolean;
  public
    { Public declarations }
  end;

var
  FormAuto: TFormAuto;

implementation

{$R *.dfm}


procedure TFormAuto.FormShow(Sender: TObject);
begin
//
end;

procedure TFormAuto.ToolBar0Resize(Sender: TObject);
begin
  ProgressBar0.Width := ToolBar0.Width;
end;

procedure TFormAuto.Timer0Timer(Sender: TObject);
begin
  Timer0.Enabled := False;
  Panel0Click(Panel0);
end;

procedure TFormAuto.Panel0Click(Sender: TObject);
var
  I: Integer;
begin
  STStart.Caption := 'Start : '+FormatDateTime('hh:nn:ss',Time);
  ProgressBar0.Position := 0;
  ProgressBar0.Max := 1000;
  for I := 1 to 1000 do begin
      ProgressBar0.Position := ProgressBar0.Position + 1;
      Sleep(10);
  end;
  STEnd.Caption := 'End   : ' +FormatDateTime('hh:nn:ss',Time);
end;

end.
