unit AutoQ;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Buttons, ExtCtrls, Grids, DBGrids, StdCtrls, ComCtrls, ToolWin,
  ADODB, DB;

type
  TFormAutoQ = class(TForm)
    DSSource: TDataSource;
    ADODataSetSource: TADODataSet;
    ADOCommandSource: TADOCommand;
    ToolBar0: TToolBar;
    ProgressBar0: TProgressBar;
    Memo0: TMemo;
    DBSource: TDBGrid;
    Panel0: TPanel;
    DBTarget: TDBGrid;
    DSTarget: TDataSource;
    ADODataSetTarget: TADODataSet;
    ADOCommandTarget: TADOCommand;
    SBRun: TSpeedButton;
    Timer0: TTimer;
    ADOConnectionSource: TADOConnection;
    ADOConnectionTarget: TADOConnection;
    Timer1: TTimer;
    procedure FormShow(Sender: TObject);
    procedure ToolBar0Resize(Sender: TObject);
    procedure Timer0Timer(Sender: TObject);
    procedure SBRunClick(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);
  private
    { Private declarations }
    RunFlag: Boolean;
  public
    { Public declarations }
  end;

var
  FormAutoQ: TFormAutoQ;

implementation

{$R *.dfm}

procedure TFormAutoQ.FormShow(Sender: TObject);
var
  L: TStringList;
begin
  RunFlag := False;
  L := TStringList.Create;
  try
    L.Text := Caption;
    if L.Count > 0 then Caption := L.Strings[0];
    if L.Count > 1 then ADOConnectionSource.ConnectionString := L.Strings[1];
    if L.Count > 2 then ADOConnectionTarget.ConnectionString := L.Strings[2];
    if L.Count > 3 then ADODataSetSource.CommandText := L.Strings[3];
    ADOConnectionSource.Connected := ADOConnectionSource.ConnectionString <> '';
    ADOConnectionTarget.Connected := ADOConnectionTarget.ConnectionString <> '';
  finally
    L.Free;
  end;
end;

procedure TFormAutoQ.ToolBar0Resize(Sender: TObject);
begin
  ProgressBar0.Width := ToolBar0.Width;
end;

procedure TFormAutoQ.Timer0Timer(Sender: TObject);
begin
  Timer0.Enabled := False;
  Timer1.Enabled := True;
  Application.ProcessMessages;
end;

procedure TFormAutoQ.SBRunClick(Sender: TObject);
var
  I: Integer;
begin
  RunFlag := True;
  ProgressBar0.Position := 0;
  ProgressBar0.Max := 1000;
  for I := 1 to 1000 do begin
      Application.ProcessMessages;
      ProgressBar0.Position := ProgressBar0.Position + 1;
      Sleep(10);
  end;
  {with ADODataSetSource do begin
    Close;
    if Memo0.Text <> '' then CommandText := Memo0.Text;
    Open;
    ProgressBar0.Position := 0;
    ProgressBar0.Max := RecordCount;
    while not EOF do begin
      Application.ProcessMessages;
      ProgressBar0.Position := ProgressBar0.Position + 1;
      Next;
    end;
  end;}
end;

procedure TFormAutoQ.Timer1Timer(Sender: TObject);
begin
  Panel0.Caption := FormatDateTime('hh:nn:ss',Time);
  if not RunFlag then SBRunClick(Nil);
end;

end.
